%global pypi_name importlib-metadata
%global srcname   importlib_metadata

Name:           python-%{pypi_name}
Version:        4.10.1
Release:        %mkrel 1
Summary:        Read metadata from Python packages
Group:          Development/Python
License:        ASL 2.0
URL:            http://importlib-metadata.readthedocs.io/
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pathlib2
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-toml
BuildRequires:  python3-packaging


%description
importlib_metadata is a library to access the metadata for a Python package.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
importlib_metadata is a library to access the metadata for a Python package.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Aug 09 2022 TerryN <terryn94 at gmail.com> 4.10.1-1pclos2022
- import for python 3.10
